# Batch calls

**Step 1: Prepare your request**

* **Endpoint:** `/call/batch-call`
* **Method:** `POST`
* **URL:** `https://api.talkstackai.com/call/batch-call`
* **Headers:** Include `Content-Type: multipart/form-data`.
* **Authorization:** Bearer token or x-api-key in headers

**Step 2: Create the Request Body**

The request body will be **FormData** with three required keys. These keys are `projectId`, `agentId`, and `file`.

* `projectId`: id of the project for which you want to fetch the call list.
* `agentId`: id of the agent which will make the calls.
* `file`: It should either be an excel sheet or csv file. All the numbers listed in this file will be called using the agent provided.
  * File should have `number` column. It is where the numbers are you want to make calls to must be.
  * You can optionally pass dynamic variables under `dynamicVariables` column


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talkstack.ai/call/batch-calls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
